Package com.sas.services.information.search

# Class SearchUtility

java.lang.Object
com.sas.services.information.search.SearchUtility

public class SearchUtility extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SearchUtility.ValidCriteriaResults`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchUtility()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SearchCriteriaModel`
  `createSearchCriteriaModel(Search searchObj)`
  Method to build this model using the information already stored in a Search object
  `static SearchCriteriaModel`
  `createSearchCriteriaModel(ServerInterface server, String xmlCriteria)`
  Method to build this model using the information from a saved search folder.
  `static String`
  `getModelXML(SearchCriteriaModel scm)`
  Method to build an xml string from this model class in the form used when saving off a search folder in metadata.
  `static SearchUtility.ValidCriteriaResults`
  `validateSearchCriteria(SearchCriteriaModel scm, ServerInterface server)`
  `static SearchUtility.ValidCriteriaResults`
  `validateSearchCriteria(Search searchObj, ServerInterface server)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchUtility

    public SearchUtility()

- ## Method Details

  - ### createSearchCriteriaModel

    public static SearchCriteriaModel createSearchCriteriaModel(Search searchObj) throws ServiceException, RemoteException
    Method to build this model using the information already stored in a Search object
    Parameters:
      `searchObj` - - a com.sas.services.information.search object
    Throws:
      `ServiceException`
      `RemoteException`

  - ### createSearchCriteriaModel

    public static SearchCriteriaModel createSearchCriteriaModel(ServerInterface server, String xmlCriteria) throws ServiceException, RemoteException
    Method to build this model using the information from a saved search folder. A saved search folder object in metadata has a details atribute and this xml string is stored in that attribute. Using that xml string, we can build the criteria model to validate the values on an import of this object.
    Parameters:
      `xmlCriteriaString` -
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getModelXML

    public static String getModelXML(SearchCriteriaModel scm) throws ServiceException, RemoteException
    Method to build an xml string from this model class in the form used when saving off a search folder in metadata. This xml string would be saved off in a details attribute on a Search Folder object.
    Returns:
      The xml string created from this model
    Throws:
      `ServiceException`
      `RemoteException`

  - ### validateSearchCriteria

    public static SearchUtility.ValidCriteriaResults validateSearchCriteria(Search searchObj, ServerInterface server) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### validateSearchCriteria

    public static SearchUtility.ValidCriteriaResults validateSearchCriteria(SearchCriteriaModel scm, ServerInterface server) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`